Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services
Interface ClientBehaviorSupport

All Known Implementing Classes:
  ClientBehaviorSupportImpl

    public interface ClientBehaviorSupport

Collects details about zone usage for efficient initialization of the client side objects. This has grown to include the client-side behavior associated with `FormFragment`s.

See Also:
  `Zone`

Method Summary
`void` | `addFormFragment(java.lang.String clientId, boolean alwaysSubmit, java.lang.String showFunctionName, java.lang.String hideFunctionName)` Deprecated. Use `addFormFragment(String,boolean,String,String,String)` instead
`void` | `addFormFragment(java.lang.String clientId, boolean alwaysSubmit, java.lang.String showFunctionName, java.lang.String hideFunctionName, java.lang.String visibilityBoundFunctionName)` Adds a new client-side Tapestry.FormFragment object.
`void` | `addFormFragment(java.lang.String clientId, java.lang.String showFunctionName, java.lang.String hideFunctionName)` Deprecated. Use `addFormFragment(String,boolean,String,String,String)` instead
`void` | `addFormInjector(java.lang.String clientId, Link link, InsertPosition insertPosition, java.lang.String showFunctionName)` Adds a new client-side Tapestry.FormInjector object.
`void` | `addValidation(Field field, java.lang.String validationName, java.lang.String message, java.lang.Object constraint)` Collects field validation information.
`void` | `addZone(java.lang.String clientId, java.lang.String showFunctionName, java.lang.String updateFunctionName)` Adds a new client-side Tapestry.Zone object.
`void` | `linkZone(java.lang.String linkId, java.lang.String elementId, Link eventLink)` Sets the client-side onclick handler for an <a> element to perform an Ajax update of a zone.

Method Detail

### addZone

    void addZone(java.lang.String clientId,
                 java.lang.String showFunctionName,
                 java.lang.String updateFunctionName)

  Adds a new client-side Tapestry.Zone object. Zones are linked to a an element (typically, a <div>). A Zone may have handlers used to initially show it, or to highlight it when its content changes. Such handlers are referenced by name, as functions of the Tapestry.ElementEffect object.

  Parameters:
    `clientId` - client-side id of the element that will be updated by the zone
    `showFunctionName` - name of the function used to initially show the zone (if not visible), or null for default
    `updateFunctionName` - name of function used to highlight the function after an update, or null for default

### linkZone

    void linkZone(java.lang.String linkId,
                  java.lang.String elementId,
                  Link eventLink)

  Sets the client-side onclick handler for an <a> element to perform an Ajax update of a zone.

  Parameters:
    `linkId` - id of the link to Ajax enable
    `elementId` - id of an element that has been previously registered as a Zone
    `eventLink` -

### addFormFragment

    void addFormFragment(java.lang.String clientId,
                         java.lang.String showFunctionName,
                         java.lang.String hideFunctionName)

  Deprecated. Use `addFormFragment(String,boolean,String,String,String)` instead

  Adds a new client-side Tapestry.FormFragment object. FormFragment's are used to make parts of a client-side form visible or invisible, which involves interactions with both the server-side and client-side validation.

  Parameters:
    `clientId` - client-side id of the element that will be made visible or invisible
    `showFunctionName` - name of function (of the Tapestry.ElementEffect object) used to make the SubForm visible, or null for the default
    `hideFunctionName` - name of the function used to make the SubForm invisible, or null for the default

### addFormFragment

    void addFormFragment(java.lang.String clientId,
                         boolean alwaysSubmit,
                         java.lang.String showFunctionName,
                         java.lang.String hideFunctionName)

  Deprecated. Use `addFormFragment(String,boolean,String,String,String)` instead

  Adds a new client-side Tapestry.FormFragment object. FormFragment's are used to make parts of a client-side form visible or invisible, which involves interactions with both the server-side and client-side validation.

  Parameters:
    `clientId` - client-side id of the element that will be made visible or invisible
    `alwaysSubmit` - if true, the fragment ignores client-side visiblility and always submits its values
    `showFunctionName` - name of function (of the Tapestry.ElementEffect object) used to make the SubForm visible, or null for the default
    `hideFunctionName` - name of the function used to make the SubForm invisible, or null for the default

### addFormFragment

    void addFormFragment(java.lang.String clientId,
                         boolean alwaysSubmit,
                         java.lang.String showFunctionName,
                         java.lang.String hideFunctionName,
                         java.lang.String visibilityBoundFunctionName)

  Adds a new client-side Tapestry.FormFragment object. FormFragment's are used to make parts of a client-side form visible or invisible, which involves interactions with both the server-side and client-side validation.

  Parameters:
    `clientId` - client-side id of the element that will be made visible or invisible
    `alwaysSubmit` - if true, the fragment ignores client-side visiblility and always submits its values
    `showFunctionName` - name of function (of the Tapestry.ElementEffect object) used to make the SubForm visible, or null for the default
    `hideFunctionName` - name of the function used to make the SubForm invisible, or null for the default
    `visibilityBoundFunctionName` - name of the function used to bound the isDeepVisible search, or null for the default
  Since:
    5.3

### addFormInjector

    void addFormInjector(java.lang.String clientId,
                         Link link,
                         InsertPosition insertPosition,
                         java.lang.String showFunctionName)

  Adds a new client-side Tapestry.FormInjector object. FormInjectors are used to extend an existing Form with new content.

  Parameters:
    `clientId` - client-side id of the element that identifiess where the new content will be placed
    `link` - action request link used to trigger the server-side object, to render the new content
    `insertPosition` - where the new content should go (above or below the element)
    `showFunctionName` - name of function (of the Tapestry.ElementEffect object) used to make the new element visible, or null for the default

### addValidation

    void addValidation(Field field,
                       java.lang.String validationName,
                       java.lang.String message,
                       java.lang.Object constraint)

  Collects field validation information.

  Parameters:
    `field` - for which validation is being generated
    `validationName` - name of validation method (see Tapestry.Validation in tapestry.js)
    `message` - the error message to display if the field is invalid
    `constraint` - additional constraint value, or null for validations that don't require a constraint

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.